Package org.jboss.resteasy.wadl.jaxb

## Class ObjectFactory

- java.lang.Object
- - org.jboss.resteasy.wadl.jaxb.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the net.java.dev.wadl._2009._02 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectFactory()` | Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.java.dev.wadl._2009._02

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Application` | `createApplication()` | Create an instance of `Application`
    `Doc` | `createDoc()` | Create an instance of `Doc`
    `Grammars` | `createGrammars()` | Create an instance of `Grammars`
    `Include` | `createInclude()` | Create an instance of `Include`
    `Link` | `createLink()` | Create an instance of `Link`
    `Method` | `createMethod()` | Create an instance of `Method`
    `Option` | `createOption()` | Create an instance of `Option`
    `Param` | `createParam()` | Create an instance of `Param`
    `Representation` | `createRepresentation()` | Create an instance of `Representation`
    `Request` | `createRequest()` | Create an instance of `Request`
    `Resource` | `createResource()` | Create an instance of `Resource`
    `Resources` | `createResources()` | Create an instance of `Resources`
    `ResourceType` | `createResourceType()` | Create an instance of `ResourceType`
    `Response` | `createResponse()` | Create an instance of `Response`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.java.dev.wadl._2009._02

  - ### Method Detail

    - #### createInclude

          public Include createInclude()

      Create an instance of `Include`

    - #### createDoc

          public Doc createDoc()

      Create an instance of `Doc`

    - #### createRequest

          public Request createRequest()

      Create an instance of `Request`

    - #### createParam

          public Param createParam()

      Create an instance of `Param`

    - #### createOption

          public Option createOption()

      Create an instance of `Option`

    - #### createLink

          public Link createLink()

      Create an instance of `Link`

    - #### createRepresentation

          public Representation createRepresentation()

      Create an instance of `Representation`

    - #### createMethod

          public Method createMethod()

      Create an instance of `Method`

    - #### createResponse

          public Response createResponse()

      Create an instance of `Response`

    - #### createResource

          public Resource createResource()

      Create an instance of `Resource`

    - #### createResourceType

          public ResourceType createResourceType()

      Create an instance of `ResourceType`

    - #### createResources

          public Resources createResources()

      Create an instance of `Resources`

    - #### createApplication

          public Application createApplication()

      Create an instance of `Application`

    - #### createGrammars

          public Grammars createGrammars()

      Create an instance of `Grammars`